# CoinMetricsClient.get\_asset\_profiles

```python
coinmetrics.api_client.CoinMetricsClient.get_asset_profiles(
    assets=None,
    full_names=None,
    page_size=None,
    paging_from=None,
)
```

Returns profile data for assets, ordered by asset

* **Parameters:**
  * **assets** (*Optional* \*\[\**Union* \*\[\**List* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *]* *,* [*str*](https://docs.python.org/3/library/stdtypes.html#str) *]* *]*) -- Returns profile data for assets.
  * **full\_names** (*Optional* \*\[\**Union* \*\[\**List* *\[*[*str*](https://docs.python.org/3/library/stdtypes.html#str) *]* *,* [*str*](https://docs.python.org/3/library/stdtypes.html#str) *]* *]*) -- Comma separated list of asset full names. By default profile data for all assets is returned. Mutually exclusive with assets parameter.
  * **page\_size** ([*int*](https://docs.python.org/3/library/functions.html#int)) -- Number of items per single page of results.
  * **paging\_from** ([*int*](https://docs.python.org/3/library/functions.html#int)) -- Where does the first page start, at the "start" of the interval or at the "end"

**Returns:**

* [*DataCollection*](https://gitbook-docs.coinmetrics.io/python-api-client/reference/coinmetricsclient/asset-profiles/pages/4SxAThvJEKszVwNAKU88#coinmetrics._data_collection.DataCollection)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://gitbook-docs.coinmetrics.io/python-api-client/reference/coinmetricsclient/asset-profiles/get_asset_profiles.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
